Improve download-signed script to support current & grub2

Bug #1876875 reported by Dimitri John Ledkov
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub2-signed (Ubuntu)
Fix Released
Undecided
Unassigned
Focal
Fix Released
Undecided
Unassigned
linux-signed (Ubuntu)
Fix Released
Wishlist
Unassigned
s390-tools-signed (Ubuntu)
Won't Fix
Undecided
Unassigned

Bug Description

[Impact]

 * Improve and generalise download-signed script to allow using it with any signed binaries we care about
 * Add support to download simply the most current version
 * Add support to download /uefi/ signed binaries
 * Clean up arg parsing, add help, drop unused statements & imports.

[Test Case]

 * Test downloading signed kernel works with public & private archives
 * Test that rebuilt signed .debs are the same

[Regression Potential]

 * This is a built time script, as long the binaries are downloaded & packaged up the same, there is no end-user facing impact.

[Other Info]

 * With these changes, download-signed script can be used by s390-tools-signed & grub2-signed, as well as all the kernels.
 * This is needed to support resigning with different keys for different ubuntu products. For example, UC20 uses the same grub binaries, but wants an additional trustpath to UC20 CA for grade:secured core images. At the moment creating such a signature is only possible via a round-trip in a PPA.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :
Revision history for this message
Dimitri John Ledkov (xnox) wrote :
tags: added: patch
tags: added: id-5eb1356d8ee9193c6cf7fc0b
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

linux-signed patch looks good to apw. Will start backporting those changes to grub2-signed and s390-tools-signed.

Changed in linux-signed (Ubuntu):
status: New → In Progress
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2-signed - 1.144

---------------
grub2-signed (1.144) groovy; urgency=medium

  * Fix arm64 download, grub2 package doesn't exist on that arch, use
    grub2-common instead.

grub2-signed (1.143) groovy; urgency=medium

  * Support downloads from PPAs for additional signatures. LP: #1876875

 -- Dimitri John Ledkov <email address hidden> Wed, 20 May 2020 13:53:28 +0100

Changed in grub2-signed (Ubuntu):
status: New → Fix Released
Changed in s390-tools-signed (Ubuntu):
status: New → Won't Fix
Changed in linux-signed (Ubuntu):
importance: Undecided → Wishlist
status: In Progress → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Dimitri, or anyone else affected,

Accepted grub2-signed into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2-signed/1.142.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in grub2-signed (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

Did source copy of grub2-signed 1.142.1 into private PPA and it successfully rebuilt signed packages on amd64 and arm64 against a copy of grub2 from the matching private PPA.

If sru team wants to look at the build-log, i can private build-logs privately.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

No need to private build-logs privately, all good!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2-signed - 1.142.1

---------------
grub2-signed (1.142.1) focal; urgency=medium

  * Support downloads from PPAs for additional signatures. LP: #1876875

 -- Dimitri John Ledkov <email address hidden> Fri, 24 Apr 2020 23:48:15 +0100

Changed in grub2-signed (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for grub2-signed has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed - 5.8.0-16.17

---------------
linux-signed (5.8.0-16.17) groovy; urgency=medium

  * Master version: 5.8.0-16.17

linux-signed (5.8.0-15.16) groovy; urgency=medium

  * Master version: 5.8.0-15.16

linux-signed (5.8.0-14.15) groovy; urgency=medium

  * Master version: 5.8.0-14.15

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Debian] Do not build for ppc64el"

 -- Seth Forshee <email address hidden> Tue, 11 Aug 2020 15:34:57 -0500

Changed in linux-signed (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers